Change your PHP version or configuration

Users may switch between PHP 5.4 and 5.5 if they wish and customize some PHP configuration settings. This option is available from within your control panel.

This feature is only available from the cPanel x3 theme. Learn More

Please click the "Select PHP Version" icon on your cPanel home page.

Changing your PHP version

From there, you can change your account's PHP version using the dropdown provided. This will affect all PHP scripts on your hosting account.

Enabling error reporting

By default, any PHP error messages will be hidden from view. If you would like to display PHP errors, please click "Switch to PHP Settings".

From there, you can adjust some aspects of your account's PHP configuration. Click the value of display_errors, and change it to "On". Then, please click "Apply" and then "Save".

Was this article helpful?